GET /applications/{appId}/messages/{msgId}
Get a single message and all its delivery attempts.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

appId string required path
Application ID
msgId string required path
Message ID

Responses

200 Message with delivery attempts
application/json
message object | null REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
application_id string REQUIRED
event_type string REQUIRED
payload string REQUIRED
status string REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
attempts object[] REQUIRED
Array of:
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
message_id string REQUIRED
endpoint_id string REQUIRED
response_status integer | null REQUIRED
response_body string | null REQUIRED
duration_ms integer | null REQUIRED
status string REQUIRED
error string | null REQUIRED
attempt_number integer REQUIRED
trigger_type string REQUIRED
created_at string REQUIRED
endpoint_url string | null REQUIRED
401 Unauthorized
404 Message not found
curl -X GET 'https://hookstream.io/v1/applications/string/messages/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/string/messages/string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/applications/string/messages/string', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/applications/string/messages/string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "message": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "application_id": "<string>",
    "event_type": "<string>",
    "payload": "<string>",
    "status": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "attempts": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "env_id": "<string>",
      "message_id": "<string>",
      "endpoint_id": "<string>",
      "response_status": 123,
      "response_body": "<string>",
      "duration_ms": 123,
      "status": "<string>",
      "error": "<string>",
      "attempt_number": 123,
      "trigger_type": "<string>",
      "created_at": "<string>",
      "endpoint_url": "<string>"
    }
  ]
}
GET /applications/{appId}/messages/{msgId}
Ask a question... ⌘I